## photofilmstrip 1.4.0

=== Makefile ===
#
# Makefile for PhotoFilmStrip
#
include Makefile.rules


compile:
	python -c "import compileall, re;compileall.compile_dir('.', rx=re.compile('/[.]svn'), force=True, quiet=True)"
	python -OO -c "import compileall, re;compileall.compile_dir('.', rx=re.compile('/[.]svn'), force=True, quiet=True)"
	
	target=`echo $@`; \
	make -C po $$target

clean:
	if [ -e ./dist ] ; then rm -r ./dist ; fi
	find . -name "*.pyc" -exec rm {} ';'
	find . -name "*.pyo" -exec rm {} ';'
	
	target=`echo $@`; \
	make -C po $$target

	rm -f "$(displayname).pot"

install:
	$(mkdir) "$(DESTDIR)$(appdir)"
	cp -r "$(srcdir)/src/cli/" "$(DESTDIR)$(appdir)"
	cp -r "$(srcdir)/src/core/" "$(DESTDIR)$(appdir)"
	cp -r "$(srcdir)/src/gui/" "$(DESTDIR)$(appdir)"
	cp -r "$(srcdir)/src/lib/" "$(DESTDIR)$(appdir)"
	cp -r "$(srcdir)/src/res/" "$(DESTDIR)$(appdir)" 
	cp "$(srcdir)/src/$(appname)-cli.py" "$(DESTDIR)$(appdir)/"
	cp "$(srcdir)/src/$(appname)-gui.py" "$(DESTDIR)$(appdir)/"
	
	$(mkdir) "$(DESTDIR)$(desktopdir)"
	cp "$(srcdir)/build/$(appname).desktop" "$(DESTDIR)$(desktopdir)/"
	$(mkdir) "$(DESTDIR)$(pixmapdir)"
	cp "$(srcdir)/build/$(appname).xpm" "$(DESTDIR)$(pixmapdir)/"
	
	$(mkdir) "$(DESTDIR)$(bindir)"
	cp "$(srcdir)/build/$(appname)" "$(DESTDIR)$(bindir)/"
	cp "$(srcdir)/build/$(appname)-cli" "$(DESTDIR)$(bindir)/"
	
	target=`echo $@`; \
	make -C po $$target

uninstall:
	rm -Rf "$(DESTDIR)$(appdir)"
	rm -f "$(DESTDIR)$(desktopdir)/$(appname).desktop"
	rm -f "$(DESTDIR)$(pixmapdir)/$(appname).xpm"
	rm -f "$(DESTDIR)$(bindir)/$(appname)"
	rm -f "$(DESTDIR)$(bindir)/$(appname)-cli"
	
	target=`echo $@`; \
	make -C po $$target

pot:
	pygettext -o "$(displayname).pot" -v "$(srcdir)/src"


package:
	curdir=`pwd`; \
	cd src; \
	ver=`python -c "import lib.Settings;print lib.Settings.Settings.APP_VERSION"`; \
	cd $$curdir; \
	appver=`echo $(appname)-$$ver`; \
	releasedir=`echo release_\`date +"%Y_%m_%d"\``; \
	targetdir=`echo $$releasedir/$$appver`; \
	rm -rf $$releasedir; \
	$(mkdir) "$$targetdir"; \
	cp -R build/ "$$targetdir"; \
	cp -R po/ "$$targetdir"; \
	cp -R res/ "$$targetdir"; \
	cp -R src/ "$$targetdir"; \
	cp -R doc/ "$$targetdir"; \
	cp -R win32ExtBin/ "$$targetdir"; \
	cp CHANGES "$$targetdir/"; \
	cp COPYING "$$targetdir/"; \
	cp Makefile "$$targetdir/"; \
	cp Makefile.rules "$$targetdir/"; \
	cp README "$$targetdir/"; \
	cp TODO "$$targetdir/"; \
	cp setup.py "$$targetdir/"; \
	cp photofilmstrip.iss "$$targetdir/"; \
	cp make.bat "$$targetdir/"; \
	rm -rf `find $$targetdir -name .svn -type d`; \
	tar -C "$$releasedir" -czf "$$releasedir/$$appver.tar.gz" $$appver; \
	cd "$$targetdir"; \
	echo \\n > ../newline.txt; \
	dh_make -e "info@photofilmstrip.org" -c gpl -s -f "../$$appver.tar.gz" < ../newline.txt; \
	rm ../newline.txt; \
	rm debian/*.ex; \
	rm debian/*.EX; \
	cd $$curdir; \
	cp build/debian/copyright "$$targetdir/debian/"; \
	cp build/debian/control "$$targetdir/debian/"; \
	cp build/debian/dirs "$$targetdir/debian/"; \
	ls doc/photofilmstrip/* >>"$$targetdir/debian/docs"; \
	head -2 "$$targetdir/debian/changelog" > tmp; \
	cat "$$curdir/CHANGES" >> tmp; \
	tail -2 "$$targetdir/debian/changelog" >> tmp; \
	mv tmp "$$targetdir/debian/changelog"; \
	cd "$$targetdir"; \
	dpkg-buildpackage

=== po/Makefile ===
#
# Makefile for PhotoFilmStrip
#
include ../Makefile.rules


compile:
	for poFile in *.po; do \
	    lang=$${poFile%.*}; \
	    msgfmt -o "$$lang.mo" "$$lang.po"; \
	done

clean:
	find . -name "*.mo" -exec rm {} ';'

install:
	$(mkdir) "$(DESTDIR)$(localedir)"
	for moFile in *.mo; do \
	    lang=$${moFile%.*}; \
	    $(mkdir) "$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES"; \
	    cp $$moFile "$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(displayname).mo"; \
	done

uninstall:
	find "$(DESTDIR)$(localedir)" -name "$(displayname).mo" -exec rm {} ';'

=== debian/changelog ===
photofilmstrip (1.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #586268)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 27 Jan 2011 10:26:08 +0100

=== debian/control ===
Source: photofilmstrip
Section: video
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Jens Göpfert <jens@sg-dev.de>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
X-Python-Version: >= 2.5
Standards-Version: 3.9.1
Homepage: http://www.photofilmstrip.org/

Package: photofilmstrip
Architecture: all
Depends: ${misc:Depends}, mencoder, python-wxgtk2.8, python-imaging, ${python:Depends}
Description: Slideshow creator with Ken Burns effect
 This creates movies out of your pictures in just three steps.
 First select your photos, customize the motion path and render the
 video. There are several output possibilities for VCD, SVCD, DVD up to
 FULL-HD.
 .
 The effect of the slideshow is known as "Ken Burns". Comments of the
 pictures are generated into a subtitle file. Furthermore an audio file
 can be specified to setup the background music for the slide show.

=== debian/watch ===
version=3
http://sf.net/photostoryx/photofilmstrip-(.*)\.tar\.gz

## photofilmstrip 1.9.91+dfsg

=== debian/changelog ===
photofilmstrip (1.9.91+dfsg-1) unstable; urgency=low

  [ Gürkan Sengün ]
  * Repackaged (remove windows/)
  * New upstream version. (Closes: #668857)
  * Bump standards version to 3.9.3.

  [ Philipp Huebner ]
  * Fixed double installation of html documentation
  * Added doc-base registration
  * Added myself as uploader
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 22 May 2012 14:45:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Uploaders: Jens Göpfert <jens@sg-dev.de>
+Uploaders: Jens Göpfert <jens@sg-dev.de>, Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://www.photofilmstrip.org/
 
 Package: photofilmstrip

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://sf.net/photostoryx/photofilmstrip-(.*)\.tar\.gz

## photofilmstrip 1.9.92+dfsg

=== debian/changelog ===
photofilmstrip (1.9.92+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #695062)
  * Updated standards version: 3.9.4 (no changes needed)
  * Updated debian/copyright
  * Corrected debian/watch

 -- Philipp Huebner <debalance@debian.org>  Thu, 18 Jul 2013 13:30:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jens Göpfert <jens@sg-dev.de>, Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.photofilmstrip.org/
 
 Package: photofilmstrip

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.photofilmstrip.org/builds/photofilmstrip-(.*)\.tar\.gz

## photofilmstrip 3.3.1

=== Makefile ===
#
# Makefile for PhotoFilmStrip
#

appname = photofilmstrip
displayname = PhotoFilmStrip
mkdir = mkdir -p --
srcdir = .


compile:
	python -c "import compileall, re;compileall.compile_dir('.', rx=re.compile('/[.]svn'), force=True, quiet=True)"
	python -OO -c "import compileall, re;compileall.compile_dir('.', rx=re.compile('/[.]svn'), force=True, quiet=True)"
	python setup.py build

clean:
	if [ -e ./dist ] ; then rm -r ./dist ; fi
	find . -name "*.pyc" -exec rm {} ';'
	find . -name "*.pyo" -exec rm {} ';'
	find . -name "_scmInfo.py*" -exec rm {} ';'
	python setup.py clean
	
	rm -f "$(displayname).pot"

pot:
	pygettext -o "$(displayname).pot" -v "$(srcdir)/photofilmstrip"


versioninfo:
	python -c "from photofilmstrip import Constants;print Constants.APP_VERSION"; \


package:
	curdir=`pwd`; \
	ver=`python -c "from photofilmstrip import Constants;print Constants.APP_VERSION"`; \
	appver=`echo $(appname)-$$ver`; \
	releasedir=`echo release_\`date +"%Y_%m_%d"\``; \
	targetdir=`echo $$releasedir/$$appver`; \
	rm -rf $$releasedir; \
	$(mkdir) "$$releasedir"; \
	python setup.py sdist; \
	cp dist/*.tar.gz "$$releasedir/"; \
	cd "$$releasedir"; \
	tar -xzf "$$appver.tar.gz"; \
	cd "$$appver"; \
	tar -xzf "../../res/debpkg.tar.gz"; \
	dch -d Makefile packaging; \
	debuild --no-tgz-check -us -uc;

=== debian/changelog ===
photofilmstrip (3.3.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Feb 2019 14:46:06 -0800

photofilmstrip (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * Updated debian/watch
  * Updated Vcs-* fields in debian/control
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Dec 2017 22:55:48 +0100

photofilmstrip (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Remove deprecated patches
  * Remove custom manapges, now provided upstream
  * Remove debian/menu
  * Remove debian/dirs
  * Update debian/copyright
  * Update debian/watch
  * Update debian/control, switch to debhelper 10 and pybuild
  * Update debian/photofilmstrip.doc-base
  * Update dependencies

 -- Philipp Huebner <debalance@debian.org>  Thu, 23 Nov 2017 08:20:43 +0100

=== debian/control ===
Source: photofilmstrip
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-gst-1.0,
               python-setuptools
X-Python-Version: >= 2.6
Standards-Version: 4.1.3
Homepage: http://www.photofilmstrip.org/
Vcs-Git: https://salsa.debian.org/debian/photofilmstrip.git
Vcs-Browser: https://salsa.debian.org/debian/photofilmstrip

Package: photofilmstrip
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         gstreamer1.0-libav,
         python-gst-1.0,
         python-pil,
         python-wxgtk3.0
Description: Slideshow creator with Ken Burns effect
 This creates movies out of your pictures in just three steps.
 First select your photos, customize the motion path and render the
 video. There are several output possibilities for VCD, SVCD, DVD up to
 FULL-HD and even 4k.
 .
 The effect of the slideshow is known as "Ken Burns". Comments of the
 pictures are generated into a subtitle file. Furthermore audio files
 can be specified to setup the background music for the slide show.

## photofilmstrip 3.4.1

=== Makefile ===
#
# Makefile for PhotoFilmStrip
#

appname = photofilmstrip
displayname = PhotoFilmStrip
mkdir = mkdir -p --
srcdir = .


compile:
	python3 -c "import compileall, re;compileall.compile_dir('.', rx=re.compile('/[.]svn'), force=True, quiet=True)"
	python3 -OO -c "import compileall, re;compileall.compile_dir('.', rx=re.compile('/[.]svn'), force=True, quiet=True)"
	python3 setup.py build

clean:
	if [ -e ./dist ] ; then rm -r ./dist ; fi
	find . -name "*.pyc" -exec rm {} ';'
	find . -name "*.pyo" -exec rm {} ';'
	find . -name "_scmInfo.py*" -exec rm {} ';'
	python3 setup.py clean
	
	rm -f "$(displayname).pot"

pot:
	pygettext -o "$(displayname).pot" -v "$(srcdir)/photofilmstrip"


versioninfo:
	python3 -c "from photofilmstrip import Constants;print(Constants.APP_VERSION)"; \


package:
	curdir=`pwd`; \
	ver=`python3 -c "from photofilmstrip import Constants;print(Constants.APP_VERSION)"`; \
	appver=`echo $(appname)-$$ver`; \
	releasedir=`echo release_\`date +"%Y_%m_%d"\``; \
	targetdir=`echo $$releasedir/$$appver`; \
	rm -rf $$releasedir; \
	$(mkdir) "$$releasedir"; \
	python3 setup.py sdist; \
	cp dist/*.tar.gz "$$releasedir/"; \
	cd "$$releasedir"; \
	tar -xzf "$$appver.tar.gz"; \
	cd "$$appver"; \
	tar -xzf "../../res/debpkg.tar.gz"; \
	dch -d Makefile packaging; \
	debuild --no-tgz-check -us -uc;

=== debian/changelog ===
photofilmstrip (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1 (Closes: #889992)
  * Switched to Python 3 (Closes: #888245) and debhelper compat level 11
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 21 Feb 2018 14:26:09 +0100

=== debian/control ===
Source: photofilmstrip
Section: video
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 11~), dh-python, python3-all, python3-gst-1.0, python3-setuptools, python3-sphinx
Standards-Version: 4.1.3
Homepage: http://www.photofilmstrip.org/
Vcs-Git: https://salsa.debian.org/debian/photofilmstrip.git
Vcs-Browser: https://salsa.debian.org/debian/photofilmstrip

Package: photofilmstrip
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, gstreamer1.0-libav, libjs-jquery, libjs-underscore, python3-gst-1.0,
 python-pil, python3-wxgtk4.0
Description: Slideshow creator with Ken Burns effect
 This creates movies out of your pictures in just three steps.
 First select your photos, customize the motion path and render the
 video. There are several output possibilities for VCD, SVCD, DVD up to
 FULL-HD and even 4k.
 .
 The effect of the slideshow is known as "Ken Burns". Comments of the
 pictures are generated into a subtitle file. Furthermore audio files
 can be specified to setup the background music for the slide show.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	cd docs/help && make html


override_dh_installdocs:
	# make lintian happy
	rm debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/jquery.js
	rm debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/underscore.js
	dh_installdocs

get-orig-source:
	uscan --verbose --force-download --rename --destdir .

.PHONY: get-orig-source build

## photofilmstrip 3.5.1

=== debian/changelog ===
photofilmstrip (3.5.1-2) unstable; urgency=medium

  * Depend on python3-pil (Closes: #904691)
  * Updated Standards-Version: 4.1.5 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Fri, 03 Aug 2018 11:06:41 +0200

photofilmstrip (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Added debian/upstream/metadata
  * Removed get-orig-source target from debian/rules
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Fri, 01 Jun 2018 14:48:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 11~), dh-python, python3-all, python3-gst-1.0, python3-setuptools, python3-sphinx
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://www.photofilmstrip.org/
 Vcs-Git: https://salsa.debian.org/debian/photofilmstrip.git
 Vcs-Browser: https://salsa.debian.org/debian/photofilmstrip
@@ -11,7 +11,7 @@
 Package: photofilmstrip
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, gstreamer1.0-libav, libjs-jquery, libjs-underscore, python3-gst-1.0,
- python-pil, python3-wxgtk4.0
+ python3-pil, python3-wxgtk4.0
 Description: Slideshow creator with Ken Burns effect
  This creates movies out of your pictures in just three steps.
  First select your photos, customize the motion path and render the

## photofilmstrip 3.7.1

=== debian/changelog ===
photofilmstrip (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.3.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Jan 2019 16:28:07 +0100

photofilmstrip (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 18 Nov 2018 19:16:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 11~), dh-python, python3-all, python3-gst-1.0, python3-setuptools, python3-sphinx
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: http://www.photofilmstrip.org/
 Vcs-Git: https://salsa.debian.org/debian/photofilmstrip.git
 Vcs-Browser: https://salsa.debian.org/debian/photofilmstrip

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,3 @@
 	rm debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/underscore.js
 	ln -s /usr/share/javascript/underscore/underscore.js debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/underscore.js
 	dh_installdocs
-
-get-orig-source:
-	uscan --verbose --force-download --rename --destdir .
-
-.PHONY: get-orig-source build

=== debian/watch ===
version=3                                                                                                                
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/photofilmstrip_$1.tar.gz/" \                                              
  https://github.com/PhotoFilmStrip/PFS/tags .*/v?(\d\S*)\.tar\.gz

## photofilmstrip 3.7.2

=== Makefile ===
#
# Makefile for PhotoFilmStrip
#

displayname = PhotoFilmStrip
srcdir = .
pkgdir = photofilmstrip

all: clean test compile

test:
	pylint --rcfile=.pylintrc --disable=W,R,C $(pkgdir)

compile:
	python3 setup.py build sdist

clean:
	if [ -e ./dist ] ; then rm -r ./dist ; fi
	find . -name "*.pyc" -exec rm {} ';'
	find . -name "*.pyo" -exec rm {} ';'
	find . -name "_scmInfo.py*" -exec rm {} ';'
	python3 setup.py clean

update-po:
	pygettext -o "po/$(displayname).pot" -v "$(srcdir)/$(pkgdir)"
	find po/ -name "*.po" -exec msgmerge --backup=none --update {} "po/$(displayname).pot" ';'


versioninfo:
	python3 -c "from photofilmstrip import Constants;print(Constants.APP_VERSION)"; \

=== docs/help/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PhotoFilmStrip
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
photofilmstrip (3.7.2-1) unstable; urgency=medium

  * New upstream version 3.7.2
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Rules-Requires-Root: no
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Sun, 16 Feb 2020 01:14:25 +0100

=== debian/control ===
Source: photofilmstrip
Section: video
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               jdupes,
               python3-all,
               python3-gst-1.0,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.photofilmstrip.org/
Vcs-Git: https://salsa.debian.org/debian/photofilmstrip.git
Vcs-Browser: https://salsa.debian.org/debian/photofilmstrip

Package: photofilmstrip
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         gstreamer1.0-libav,
         libjs-jquery,
         libjs-underscore,
         python3-gst-1.0,
         python3-pil,
         python3-wxgtk4.0
Description: Slideshow creator with Ken Burns effect
 This creates movies out of your pictures in just three steps.
 First select your photos, customize the motion path and render the
 video. There are several output possibilities for VCD, SVCD, DVD up to
 FULL-HD and even 4k.
 .
 The effect of the slideshow is known as "Ken Burns". Comments of the
 pictures are generated into a subtitle file. Furthermore audio files
 can be specified to setup the background music for the slide show.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
+
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -9,7 +10,6 @@
 	dh_auto_build
 	cd docs/help && make html
 
-
 override_dh_installdocs:
 	# make lintian happy
 	rm debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/jquery.js
@@ -17,3 +17,7 @@
 	rm debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/underscore.js
 	ln -s /usr/share/javascript/underscore/underscore.js debian/photofilmstrip/usr/share/doc/photofilmstrip/html/_static/underscore.js
 	dh_installdocs
+
+override_dh_installdeb:
+	jdupes -rl debian/photofilmstrip/usr
+	dh_installdeb

## photofilmstrip 3.7.3

=== requirements.txt ===
pillow
numpy==1.15.4 ; python_version == '3.4'
wxpython ; python_version != '3.4'
wxpython==4.0.6 ; python_version == '3.4'

=== debian/changelog ===
photofilmstrip (3.7.3-2ubuntu22.04.1) jammy; urgency=medium

  * Fix issue likely caused by post release python 3.10 update
    - d/p/Draw_rule_of_thirds_guides_in_rectangle_editor.patch
    - d/p/use_own_cursor_for_moving_rectangle.patch
    - d/p/round_floats_to_int_before_passing_them_to_wx-api.patch
    - d/p/round_floats_to_int_in_picture_rectangles.patch
    - LP: #2024190

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 01 Jul 2023 22:59:46 +0200

photofilmstrip (3.7.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Philipp Huebner ]
  * Updated lintian overrides
  * d/control: use https for homepage field
  * d/copyright: use https for source field
  * Switched debhelper compat from 12 to 13
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Switched debian/watch to version 4
  * Added debian/lintian-overrides
  * Switched from manual fixes to using dh_sphinxdoc
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 18:31:26 +0100

photofilmstrip (3.7.3-1) unstable; urgency=high

  * New upstream version 3.7.3 (Closes: #955295)

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Apr 2020 20:52:14 +0200

photofilmstrip (3.7.2-2) unstable; urgency=medium

  * Moved maintainership into Python Applications Packaging Team
  * Updated Vcs-* fields

 -- Philipp Huebner <debalance@debian.org>  Fri, 28 Feb 2020 14:08:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: photofilmstrip
 Section: video
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                jdupes,
                python3-all,
                python3-gst-1.0,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.photofilmstrip.org/
-Vcs-Git: https://salsa.debian.org/debian/photofilmstrip.git
-Vcs-Browser: https://salsa.debian.org/debian/photofilmstrip
+Homepage: https://www.photofilmstrip.org
+Vcs-Git: https://salsa.debian.org/python-team/packages/photofilmstrip.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/photofilmstrip
 
 Package: photofilmstrip
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         ${sphinxdoc:Depends},
          gstreamer1.0-libav,
-         libjs-jquery,
-         libjs-underscore,
          python3-gst-1.0,
          python3-pil,
          python3-wxgtk4.0

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	cd docs/help && make html

override_dh_installdeb:
	jdupes -rl debian/photofilmstrip/usr
	dh_installdeb

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/photofilmstrip_$1.tar.gz/" \
  https://github.com/PhotoFilmStrip/PFS/tags .*/v?(\d\S*)\.tar\.gz

## photofilmstrip 4.0.0

=== requirements.txt ===
pillow
wxpython

=== debian/changelog ===
photofilmstrip (4.0.0-2) unstable; urgency=medium

  * debian/rules: Extended clean target (Closes: #1045979)
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Dec 2023 22:58:18 +0100

photofilmstrip (4.0.0-1) unstable; urgency=medium

  [ Philipp Huebner ]
  * New upstream version 4.0.0 (Closes: #1012049)
  * Updated years in debian/copyright
  * Updated debian/source/lintian-overrides

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.

 -- Philipp Huebner <debalance@debian.org>  Wed, 15 Jun 2022 20:07:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: photofilmstrip
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -11,7 +10,7 @@
                python3-gst-1.0,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.photofilmstrip.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/photofilmstrip.git
@@ -23,6 +22,7 @@
          ${python3:Depends},
          ${sphinxdoc:Depends},
          gstreamer1.0-libav,
+         python3-ges-1.0,
          python3-gst-1.0,
          python3-pil,
          python3-wxgtk4.0

## photofilmstrip 4.1.0

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	python3 setup.py clean
 
 update-po:
-	pygettext -o "po/$(displayname).pot" -v "$(srcdir)/$(pkgdir)"
+	pygettext3 -o "po/$(displayname).pot" -v "$(srcdir)/$(pkgdir)"
 	find po/ -name "*.po" -exec msgmerge --backup=none --update {} "po/$(displayname).pot" ';'

=== requirements.txt ===
pillow==11.0.0
wxpython==4.2.2

=== debian/changelog ===
photofilmstrip (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.7.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 08 Feb 2025 16:11:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-gst-1.0,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.photofilmstrip.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/photofilmstrip.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 	dh_auto_build
 	cd docs/help && make html
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf docs/help/_build/
+
 override_dh_installdeb:
 	jdupes -rl debian/photofilmstrip/usr
 	dh_installdeb
